Bug 458661 - Review Request: perl-Graph-Easy-As_svg
Review Request: perl-Graph-Easy-As_svg
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Nobody's working on this, feel free to take it
Fedora Extras Quality Assurance
:
Depends On: 458660
Blocks:
  Show dependency treegraph
 
Reported: 2008-08-11 08:45 EDT by Marcela Mašláňová
Modified: 2008-10-03 02:58 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-10-03 02:57:09 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Marcela Mašláňová 2008-08-11 08:45:31 EDT
Graph::Easy::As_svg contains just the code for converting a Graph::Easy
object to a SVG text.

http://mmaslano.fedorapeople.org/perl-Graph-Easy-As_svg/perl-Graph-Easy-As_svg-0.23-1.fc9.src.rpm
Comment 1 Ralf Corsepius 2008-08-16 03:21:41 EDT
This package applies auto_install.

Please change
%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
into
%build
%{__perl} Makefile.PL INSTALLDIRS=vendor --skipdeps
to prevent this package from accessing CPAN when it trips missing dependencies.

[Try building this package on FC9 to see the effect.]
Comment 2 Marcela Mašláňová 2008-08-18 03:44:27 EDT
I'd rather remove auto_install. With --skipdeps looks the build log same as before.
Comment 3 Ralf Corsepius 2008-08-18 04:05:50 EDT
(In reply to comment #2)
> I'd rather remove auto_install.
You prefer hacking instead of properly using  a package's configuration options?

> I'd rather remove auto_install. With --skipdeps looks the build log same as
> before.

Without --skipdeps, building the rpm accesses CPAN and tries to sync perl's setup to meet the package's requirements when it finds insufficient deps.

- This doesn't work in a chroot (no network available).
- If building as "root", this trashes rpm-based perl installations.
- If building as "non-root", this cause various build-breakdowns.
Comment 4 Marcela Mašláňová 2008-08-18 04:21:13 EDT
Ok, that's persuade me. We should write it into Perl guidelines.
Comment 6 Jason Tibbitts 2008-10-03 02:57:09 EDT
Since perl-Graph-Easy is a dependency and its review ticket has been abandoned, this most be closed as well.
Comment 7 Marcela Mašláňová 2008-10-03 02:58:11 EDT
Package is not needed.

Note You need to log in before you can comment on or make changes to this bug.